function makeplot(name,endyr,ddn,TNload,TNconc,Qflow)

ydif = 0.03;

figland('on');

subplot(3,1,1);
plot(ddn,0.001*TNload,'k.');
ax = gca;
% remove 10^x y-axis scaling
ax.YAxis.Exponent = 0;
% format yticklabels to include commas
lbl = get(gca,'yticklabel');
for i = 1:length(lbl)
    lbl{i} = addComma(num2str(str2num(lbl{i})));
end
set(gca,'yticklabel',lbl);
clear lbl i;
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(endyr,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]); % pins zero
grid on;
ylabel('TN Load [1000 lb yr^{-1}]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);
set(gca,'xticklabel',[]);
title(name);
%% right y-axis
yaxlim = get(gca,'ylim'); % 1000 lb/yr
yyaxis right;
ax = gca;
yax = ax.YAxis(2);
yax.Limits = yaxlim*453.592;  % kg/yr
pause(2); % ugh - so plotting can catch up
fprintf('yax.Exponent = %f\n',yax.Exponent);
expn = double(yax.Exponent);
fprintf('expn = %f\n',expn);
yax.Limits = yaxlim*453.592/10^expn;
fprintf('expn = %f\n',expn);
if expn ~= 0
    ylabel(sprintf('TN Load [10^{%d} kg yr^{-1}]',expn));
else
    ylabel('TN Load [kg yr^{-1}]');
end
ax.YAxis(2).Color = 'k';

subplot(3,1,2);
plot(ddn,TNconc,'k.');
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(endyr,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]);
grid on;
ylabel('TN Conc [mg L^{-1}]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);
set(gca,'xticklabel',[]);

subplot(3,1,3);
plot(ddn,Qflow,'k.');
ax = gca;
% remove 10^x y-axis scaling
ax.YAxis.Exponent = 0;
% format yticklabels to include commas
lbl = get(gca,'yticklabel');
for i = 1:length(lbl)
    lbl{i} = addComma(num2str(str2num(lbl{i})));
end
set(gca,'yticklabel',lbl);
clear lbl i;
datetick;
set(gca,'xlim',[datenum(2001,1,1) datenum(endyr,12,31);]);
set(gca,'ylim',[0 max(get(gca,'ylim'))]); % pins min to 0
grid on;
ylabel('Flow [MGD]');
pos = get(gca,'position');
set(gca,'position',[pos(1),pos(2)-ydif,pos(3),pos(4)+2*ydif]);
%% right y-axis
yaxlim = get(gca,'ylim'); % MGD
yyaxis right;
ax = gca;
yax = ax.YAxis(2);
yax.Limits = yaxlim*0.043813;  % m3/s
pause(2); % ugh - so plotting can catch up
fprintf('yax.Exponent = %f\n',yax.Exponent);
expn = double(yax.Exponent);
fprintf('expn = %f\n',expn);
yax.Limits = yaxlim*0.043813/10^expn;
fprintf('expn = %f\n',expn);
if expn ~= 0
    ylabel(sprintf('Flow [10^{%d} m^{3} s^{-1}]',expn));
else
    ylabel('Flow [m^{3} s^{-1}]');
end
ax.YAxis(2).Color = 'k';

set(gcf,'paperorientation','portrait');
eval(sprintf('print -dpng plt/%s;',name));
delete(gcf);